com.icl.saxon

## Class ParameterSet

- java.lang.Object
- - com.icl.saxon.ParameterSet

-     public class ParameterSet
      extends java.lang.Object

  A ParameterSet is a set of parameters supplied when calling a template. It is a collection of name-value pairs

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParameterSet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clear all values
    `Value` | `get(int fingerprint)` Get a parameter
    `void` | `put(int fingerprint, Value value)` Add a parameter to the ParameterSet

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParameterSet

          public ParameterSet()

  - ### Method Detail

    - #### put

          public void put(int fingerprint,
                 Value value)

      Add a parameter to the ParameterSet
      Parameters:
        `fingerprint` - The fingerprint of the parameter name.
        `value` - The value of the parameter

    - #### get

          public Value get(int fingerprint)

      Get a parameter
      Parameters:
        `fingerprint` - The fingerprint of the name.
      Returns:
        The value of the parameter, or null if not defined

    - #### clear

          public void clear()

      Clear all values